Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 340148 - net-wireless/wepdecrypt _FORTIFY_SOURCE indicates presence of overflow
Summary: net-wireless/wepdecrypt _FORTIFY_SOURCE indicates presence of overflow
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High major (vote)
Assignee: Crypto team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: fortify-source
  Show dependency tree
 
Reported: 2010-10-08 13:25 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2010-12-10 18:48 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (wepdecrypt-0.8:20101008-130401.log,10.55 KB, text/plain)
2010-10-08 13:25 UTC, Diego Elio Pettenò (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2010-10-08 13:25:02 UTC
You're receiving this bug because the package in Summary has produced _FORTIFY_SOURCE related warnings indicating the presence of a sure overflow in a static buffer.

Even though this is not always an indication of a security problem it might even be. So please check this out ASAP.

By the way, _FORTIFY_SOURCE is disabled when you disable optimisation, so don't try finding out the cause using -O0.

Thanks,
Your friendly neighborhood tinderboxer
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-10-08 13:25:15 UTC
Created attachment 249934 [details]
Build log
Comment 2 Dane Smith (RETIRED) gentoo-dev 2010-12-10 18:48:09 UTC
Fixed in -r1

*wepdecrypt-0.8-r1 (10 Dec 2010)

  10 Dec 2010; Dane Smith <c1pher@gentoo.org> +wepdecrypt-0.8-r1.ebuild,
  +files/wepdecrypt-0.8-buffer.patch:
  Revision bump.
  *Addresses FORTIFY_SOURCE wrt bug 340148 via new patch.
  *Fixed respect for jobserver.
  *Ebuild cleanup. Moved to EAPI 2. Several QA fixes.